Summary:	TDBC driver to access PostgreSQL databases
Summary(pl.UTF-8):	Sterownik TDBC służący do dostępu do baz danych PostgreSQL
Name:		tcl-tdbc-postgres
Version:	1.1.10
Release:	1
License:	Tcl (BSD-like)
Group:		Libraries
Source0:	https://downloads.sourceforge.net/tcl/tdbcpostgres%{version}.tar.gz
# Source0-md5:	22c9428f9ab5d7b5c57410ccc88f84a2
URL:		https://wiki.tcl-lang.org/page/PostgreSQL
BuildRequires:	tcl-devel >= 8.6
BuildRequires:	tcl-tdbc-devel >= %{version}
Requires:	tcl >= 8.6
Requires:	tcl-tdbc >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcl TDBC PostgreSQL module is the driver for Tcl Database Connectivity
(TDBC) to access PostgreSQL databases.

%description -l pl.UTF-8
Moduł Tcl TDBC PostgreSQL to sterownik szkieletu Tcl Database
Connectivity (TDBC) służący do dostępu do baz danych PostgreSQL.

%prep
%setup -q -n tdbcpostgres%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# internal headers
%{__rm} $RPM_BUILD_ROOT%{_includedir}/{fakepq,pqStubs}.h

# allow dependency generation
chmod 755 $RPM_BUILD_ROOT%{_libdir}/tdbcpostgres%{version}/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README license.terms
%dir %{_libdir}/tdbcpostgres%{version}
%attr(755,root,root) %{_libdir}/tdbcpostgres%{version}/libtdbcpostgres%{version}.so
%{_libdir}/tdbcpostgres%{version}/*.tcl
%{_mandir}/mann/tdbc_postgres.n*
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tcl-tdbc-postgres.git;a=log;h=master

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> b2ae5f4
- updated to 1.1.10

* Thu Jan 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 6aa2e7a
- updated to 1.1.1

* Sat Jan 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 17ae358
- updated to 1.1.0
- removed obsolete man patch

* Wed Mar 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 3c8d612
- new

